%global pypi_name pytest-subtests

%bcond_with python_bootstrap

Summary:        Support for unittest subTest() and subtests fixture
Name:           python-%{pypi_name}
Version:        0.10.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pytest-subtests
Source0:        %{pypi_source}

BuildArch:      noarch

%description
This package provides pytest-subtests unittest subTest() support and subtests fixture.

%package -n     python3-%{pypi_name}
Summary:        Support for unittest subTest() and subtests fixture

BuildRequires:  python3-devel python3-pytest python3-setuptools python3-setuptools_scm
BuildRequires:  python3-attrs
 
%description -n python3-%{pypi_name}
This package provides pytest-subtests unittest subTest() support and subtests fixture.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONDONTWRITEBYTECODE=1 PYTHONPATH="%{buildroot}%{python3_sitelib}:%{?with_python_bootstrap:$PYTHONPATH}" \
  pytest-%{python3_version} -v tests \
  -k "not TestFixture and not TestCapture and not test_simple_terminal"

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_subtests.py
%{python3_sitelib}/pytest_subtests-%{version}-py*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 0.10.0-1
- update to 0.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.5.0-5
- Add BR python3-attrs

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 0.5.0-1
- initial build
